## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToWikiSectionHandler

### Document::ezcDocumentDocbookToWikiSectionHandler

### Class ezcDocumentDocbookToWikiSectionHandler

Visit docbook sections

Updates the docbook sections, which give us information about the depth in the document, and may also be reference targets.

Also visits title elements, which are commonly the first element in sections and define section titles, which are converted to HTML header elements of the respective level of indentation

Source for this file: /Document/src/converters/element_visitor/docbook/wiki/section.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentDocbookToWikiBaseHandler
          |
          --ezcDocumentDocbookToWikiSectionHandler

Version: | //autogen//

### Member Variables

protected int | `$level = -1` Current level of indentation in the docbook document.

### Method Summary

public mixed | `handle( $converter , $node , $root )` Handle a node

### Inherited Methods

From ezcDocumentDocbookToWikiBaseHandler
protected string | `ezcDocumentDocbookToWikiBaseHandler::renderDirective()` Render a directive
From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### handle

mixed handle( ezcDocumentElementVisitorConverter $converter , $node , mixed $root )

Handle a node

Handle / transform a given node, and return the result of the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$converter` | ezcDocumentElementVisitorConverter |
`$node` | DOMElement |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorHandler::handle()` | Handle a node.

Documentation generated by phpDocumentor 1.4.3